# Contributing to OWASP Checker v2

We welcome contributions to the OWASP Checker v2 project! This document provides guidelines for contributing to the project.

## Getting Started

1. Fork the repository on GitHub.
2. Clone your fork locally.
3. Create a new branch for your feature or bug fix.
4. Make your changes in your branch.
5. Run the tests to ensure your changes haven't broken anything.
6. Commit your changes and push to your fork on GitHub.
7. Submit a pull request from your fork to the main repository.

## Code Style

We follow the PEP 8 style guide for Python code. Please ensure your code adheres to these standards.

## Testing

All new features and bug fixes should be accompanied by unit tests. We use the  framework for testing.

To run the tests:

```
python -m unittest discover tests
```

## Documentation

Please update the README.md file with any necessary changes related to your contributions.

## Reporting Issues

If you find a bug or have a suggestion for improvement, please open an issue on the GitHub repository.

## Pull Request Process

1. Ensure your code adheres to the style guidelines and passes all tests.
2. Update the README.md with details of changes to the interface, if applicable.
3. Increase the version numbers in any examples files and the README.md to the new version that this Pull Request would represent.
4. Your pull request will be reviewed by the maintainers. They may suggest some changes or improvements or alternatives.

## Code of Conduct

Please note that this project is released with a Contributor Code of Conduct. By participating in this project you agree to abide by its terms.

Thank you for contributing to OWASP Checker v2!

